summaryrefslogtreecommitdiff
path: root/bin/lazar-start.sh
diff options
context:
space:
mode:
authorgebele <gebele@in-silico.ch>2016-05-12 10:21:50 +0000
committergebele <gebele@in-silico.ch>2016-05-12 10:21:50 +0000
commit171d6e675a0e1c209340d2988e3a39d06999d18c (patch)
treed30c569bc3cbf24e6dd3da7d1a9e5092585c6e38 /bin/lazar-start.sh
parentb0104928c6b8d92c8980dcf42c6c32450fc63c1b (diff)
added start and stop script
Diffstat (limited to 'bin/lazar-start.sh')
-rwxr-xr-xbin/lazar-start.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/lazar-start.sh b/bin/lazar-start.sh
new file mode 100755
index 0000000..b1ea61c
--- /dev/null
+++ b/bin/lazar-start.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#R CMD Rserve
+#sudo mongod
+#unicorn -p 8088 -E production
+
+RETVAL=0
+
+start() {
+ grep_mongo=`ps aux | grep -v grep | grep mongod`
+ if [ ${#grep_mongo} -gt 0 ]
+ then
+ echo "MongoDB is already running."
+ else
+ echo "Start MongoDB."
+ `sudo mongod`
+ RETVAL=$?
+ fi
+}
+
+exit $RETVAL